PAN to DIN

The PAN to DIN API enables users to fetch the Director Identification Number (DIN) associated with a given Permanent Account Number (PAN). This API is primarily used for verifying and mapping individuals to their directorship roles in companies registered under the Ministry of Corporate Affairs.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
panStringMandatoryPAN number of User
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude
externalRefStringMandatoryYour Unique Transaction id

Sample Request

curl --location 'https://api.instantpay.in/identity/pan/din' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
    "pan" : "AAOCS6028B",
    "latitude" : "27.0001",
    "longitude" : "24.0001",
    "externalRef" : "afdsfsdgdfgdgf"
}'
POST /identity/pan/din HTTP/1.1
Host: api.instantpay.in
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Auth-Code: 1
X-Ipay-Endpoint-Ip: 49.249.72.66
Content-Type: application/json
Content-Length: 150

{
    "pan" : "AAOCS6028B",
    "latitude" : "27.0001",
    "longitude" : "24.0001",
    "externalRef" : "afdsfsdgdfgdgf"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "externalRef": "1777353323",
        "poolReferenceId": "1260428104525XUDMX",
        "txnReferenceId": "436f4661-42c1-11f1-a644-3178bfd24d4f",
        "pool": {
            "account": "98357XXXXXX",
            "openingBal": "0.07",
            "mode": "DR",
            "amount": "0.00",
            "closingBal": "0.07"
        },
        "panDinData": {
            "din": "08495452"
        }
    },
    "timestamp": "2026-04-28 10:45:25",
    "ipay_uuid": "h000a1a63b5b-4011-40f7-a24b-5bd173b6e905-hbgojGstfyHD",
    "orderid": "1260428104525XUDMX",
    "environment": "LIVE",
    "internalCode": "Transaction Successful"
}
Body Params
string

PAN number of End User

string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

string
Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json